[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian/patches (1 file)

David B Harris dbharris-guest@quantz.debian.org
Fri, 27 Feb 2004 10:21:08 +0100


    Date: Friday, February 27, 2004 @ 10:21:08
  Author: dbharris-guest
    Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian/patches

   Added: 15_alsamixer_docfixes.dpatch

Oops, forgot to add 15_alsamixer_docfixes :)


------------------------------+
 15_alsamixer_docfixes.dpatch |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+)


Index: debian/alsa-utils/debian/patches/15_alsamixer_docfixes.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/15_alsamixer_docfixes.dpatch:1.1
--- /dev/null	Fri Feb 27 10:21:08 2004
+++ debian/alsa-utils/debian/patches/15_alsamixer_docfixes.dpatch	Fri Feb 27 10:21:07 2004
@@ -0,0 +1,43 @@
+#! /bin/sh -e
+## 15_alsamixer_docfixes.dpatch by David B. Harris <dbharris@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/dbharris/source/debian/alsa-utils/alsamixer/alsamixer.1 alsa-utils/alsamixer/alsamixer.1
+--- /home/dbharris/source/debian/alsa-utils/alsamixer/alsamixer.1	2002-11-29 12:32:52.000000000 -0500
++++ alsa-utils/alsamixer/alsamixer.1	2004-02-27 04:14:23.000000000 -0500
+@@ -58,11 +58,9 @@
+ mute left and right independently by using \fI,\fP (or \fI<\fP) and
+ \fI.\fP (or \fI>\fP) respectively.
+ 
+-\fISPACE\fP toggles recording: the current channel will be added or
+-removed from the sources used for recording. This only works for valid
+-input channels, of course.
+-You can toggle left and right independently by using \fIInsert\fP (or \fI;\fP)
+-and \fIDelete\fP (or \fI'\fP) respectively.
++\fISPACE\fP enables recording for the current channel. If any other
++channels have recording enabled, they will have their recording function
++disabled first. This only works for valid input channels, of course.
+ 
+ \fIL\fP re-draws the screen.
+